<?php
header("Content-Type: text/html; charset=utf8");
use_helper('UtilFunctions');
ViewResponse::getInstance()->setMethodAjax();


function getDataSucursalesxCategoria($tipo){
	
	$a_resultados['titulo'] = "Sucursales x Categoria";
	if($_GET){
		foreach ($_GET as $key=>$val){
			$$key = $val;
		}
	}
	
	$o_BaseCrCategoriaPrestamologFN = new CrCategoriaPrestamologFN();
	if($cboSucursal)$o_BaseCrCategoriaPrestamologFN->setIdSucursal($cboSucursal);
	else $o_BaseCrCategoriaPrestamologFN->setIdSucursal($cboSucursalFiltro);
	$o_BaseCrCategoriaPrestamologFN->setIdMercado($cboMercado);
	$o_BaseCrCategoriaPrestamologFN->setIdColaborador($cboRepresentante);
	$o_BaseCrCategoriaPrestamologFN->setFecha($txtFecha);
	if($estado !='-1')$o_BaseCrCategoriaPrestamologFN->setEstadoPrestamo($estado);
	$o_BaseCrCategoriaPrestamologFN->setIdcategoria($cboCategoria);
	
	$a_o_BaseCrCategoriaPrestamologFN = $o_BaseCrCategoriaPrestamologFN->select();
	
	$a_listCategoria = listaCategoriaAll();
	
	if(is_array($a_o_BaseCrCategoriaPrestamologFN)){
		$p=1;
		foreach ($a_o_BaseCrCategoriaPrestamologFN as $key => $o_BaseCrCategoriaPrestamologFN){
			
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdcategoria()]['value']  += $o_BaseCrCategoriaPrestamologFN->getCantidadPrestamos();
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdcategoria()]['label']  = $o_BaseCrCategoriaPrestamologFN->getNombrecategoria();
				
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdcategoria()]['color']  = $a_listCategoria[$o_BaseCrCategoriaPrestamologFN->getIdcategoria()]->color;
			
		}
	}
	return $a_resultados;		
	
}


function getDataMercadosxCategoria($tipo){
	
	
	
	$a_resultados['titulo'] = "Mercados x Categoria";
	
	
	if($_GET){
		foreach ($_GET as $key=>$val){
			$$key = $val;
		}
	}
	
	$o_BaseCrCategoriaPrestamologFN = new CrCategoriaPrestamologFN();
	
	if($cboSucursal)$o_BaseCrCategoriaPrestamologFN->setIdSucursal($cboSucursal);
	else $o_BaseCrCategoriaPrestamologFN->setIdSucursal($cboSucursalFiltroMxC);
	
	$o_BaseCrCategoriaPrestamologFN->setIdMercado($cboMercadoFiltroMxC);
	$o_BaseCrCategoriaPrestamologFN->setIdColaborador($cboRepresentante);
	$o_BaseCrCategoriaPrestamologFN->setFecha($txtFecha);
	if($estado !='-1')$o_BaseCrCategoriaPrestamologFN->setEstadoPrestamo($estado);
	$o_BaseCrCategoriaPrestamologFN->setIdcategoria($cboCategoria);
	
	$a_o_BaseCrCategoriaPrestamologFN = $o_BaseCrCategoriaPrestamologFN->select();
	
	
	
	$a_listCategoria = listaCategoriaAll();
	
	
	//	$a_categories[] = $val2->descripcion;
	$a_categories[] = "Categorias";
	
	if(is_array($a_o_BaseCrCategoriaPrestamologFN)){
		$p=1;
		foreach ($a_o_BaseCrCategoriaPrestamologFN as $key => $o_BaseCrCategoriaPrestamologFN){
			
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdcategoria()]['value']  += $o_BaseCrCategoriaPrestamologFN->getCantidadPrestamos();
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdcategoria()]['label']  = $o_BaseCrCategoriaPrestamologFN->getNombrecategoria();
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdcategoria()]['color']  = $a_listCategoria[$o_BaseCrCategoriaPrestamologFN->getIdcategoria()]->color;
		}
		$a_resultados["categoria"] = $a_categories;
		
	}
	
	return $a_resultados;		
	
}

function getDataCategoriaxSucursal($tipo){
	
	$a_resultados['titulo'] = "Categoria x Sucursal";
	if($_GET){
		foreach ($_GET as $key=>$val){
			$$key = $val;
		}
	}
	
	$o_BaseCrCategoriaPrestamologFN = new CrCategoriaPrestamologFN();
	
	
	if($cboSucursal)$o_BaseCrCategoriaPrestamologFN->setIdSucursal($cboSucursal);
	else $o_BaseCrCategoriaPrestamologFN->setIdSucursal($cboSucursalFiltroCxS);
	
	$o_BaseCrCategoriaPrestamologFN->setIdMercado($cboMercadoFiltroCxS);
	$o_BaseCrCategoriaPrestamologFN->setIdColaborador($cboRepresentante);
	$o_BaseCrCategoriaPrestamologFN->setFecha($txtFecha);
	if($estado !='-1')$o_BaseCrCategoriaPrestamologFN->setEstadoPrestamo($estado);
	$o_BaseCrCategoriaPrestamologFN->setIdcategoria($cboCategoriaFiltroCxS);
	
	$a_o_BaseCrCategoriaPrestamologFN = $o_BaseCrCategoriaPrestamologFN->select();
	
		
	if(is_array($a_o_BaseCrCategoriaPrestamologFN)){
		$p=1;
		foreach ($a_o_BaseCrCategoriaPrestamologFN as $key => $o_BaseCrCategoriaPrestamologFN){
			
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdSucursal()]['value']  += $o_BaseCrCategoriaPrestamologFN->getCantidadPrestamos();
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdSucursal()]['label']  = $o_BaseCrCategoriaPrestamologFN->getNombreSucursal();
				
		}
	}
	return $a_resultados;		
	
}
function getDataCategoriaxMercado($tipo){
	
	$a_resultados['titulo'] = "Categoria x Mercado";
	if($_GET){
		foreach ($_GET as $key=>$val){
			$$key = $val;
		}
	}
	
	$o_BaseCrCategoriaPrestamologFN = new CrCategoriaPrestamologFN();
		
	if($cboSucursal)$o_BaseCrCategoriaPrestamologFN->setIdSucursal($cboSucursal);
	else $o_BaseCrCategoriaPrestamologFN->setIdSucursal($cboSucursalFiltroCxM);
	
	$o_BaseCrCategoriaPrestamologFN->setIdMercado($cboMercadoFiltroCxM);
	$o_BaseCrCategoriaPrestamologFN->setIdColaborador($cboRepresentante);
	$o_BaseCrCategoriaPrestamologFN->setFecha($txtFecha);
	if($estado !='-1')$o_BaseCrCategoriaPrestamologFN->setEstadoPrestamo($estado);
	$o_BaseCrCategoriaPrestamologFN->setIdcategoria($cboCategoriaFiltroCxM);
	
	$a_o_BaseCrCategoriaPrestamologFN = $o_BaseCrCategoriaPrestamologFN->select();
	
	$a_listCategoria = listaCategoriaAll();
	
	if(is_array($a_o_BaseCrCategoriaPrestamologFN)){
		$p=1;
		foreach ($a_o_BaseCrCategoriaPrestamologFN as $key => $o_BaseCrCategoriaPrestamologFN){
			
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdMercado()]['value']  += $o_BaseCrCategoriaPrestamologFN->getCantidadPrestamos();
				$a_resultados['data'][$o_BaseCrCategoriaPrestamologFN->getIdMercado()]['label']  = $o_BaseCrCategoriaPrestamologFN->getNombreMercado();
				
			
		}
	}
	return $a_resultados;		
	
}
function getDataGraficoResumenGeneral($tipo){
	
	if($_GET){
		foreach ($_GET as $key=>$val){
			$$key = $val;
		}
	}
	if($cboMercadoFiltro) {
		$cboMercado = $cboMercadoFiltro;
	}
	if($cboSucursalFiltro){ 
		$cboSucursal =  $cboSucursalFiltro;
	}
	if($cboSucursalFiltro){ 
		$cboSucursal =  $cboSucursalFiltro;
	}
	$o_CrUtilidadFN = new CrUtilidadFN();
	$o_CrUtilidadFN->setIdSucursal($cboSucursal);
	$o_CrUtilidadFN->setIdMercado($cboMercado);	
	$o_CrUtilidadFN->setTiempo($tiempo);
	$o_CrUtilidadFN->setPeriodoCancelacionInicial($cboPeriodoInicial);
	$o_CrUtilidadFN->setPeriodoCancelacionFinal($cboPeriodoFinal);
	$o_CrUtilidadFN->setFechaCancelacionInicial($txtFechaInicial);
	$o_CrUtilidadFN->setFechaCancelacionFinal($txtFechaFinal);
	$o_CrUtilidadFN->setOpfechavencimiento($opfechavencimiento);
	
	//$o_CrUtilidadFN->setTiempo();
	$a_utilidad = $o_CrUtilidadFN->getListado();
	  if($tiempo == '1'){ 
      	$tiempoT .= " Periodo: ".$cboPeriodoInicial." - ".$cboPeriodoFinal; 
      }
      if($tiempo == '2'){ 
      	$tiempoT .= " Periodo: ".$txtFechaInicial." - ".$txtFechaFinal;
      }
	$a_resultados['Subtitulo'] 	= "Tiempo: ".$tiempoT;
	
	switch ($tipo){
		
		case "getSucursales":
			$flag = 1;
			$a_resultados['titulo'] 						= " Resumen de sucursales ";	 
			if(!$cboSucursal) $a_resultados['titulo'] 		.= " - Todos ";	 
			if(is_array($a_utilidad)){
				foreach ($a_utilidad as $key => $utilidad){
					if($cboSucursal && $cboSucursal == $utilidad['IdSucursal'] && $flag == 1){
						$a_resultados['titulo'] 		.= " - ".$utilidad['Sucursal'];
						$flag = 2;
					}
					$a_resultados['data'][$utilidad['IdSucursal']]['value']  += $utilidad['Ganancia'];
					$a_resultados['data'][$utilidad['IdSucursal']]['label']  = $utilidad['Sucursal'];
				}
			}
			/*
			$a_resultados['data'][2]['value']  = '3000';
			$a_resultados['data'][2]['label']  = 'Suc 2';
			
			$a_resultados['data'][3]['value']  = '3000';
			$a_resultados['data'][3]['label']  = 'Suc 2';
			*/
			break;
		case "sucursalesxTiempo": 
			$flag = 1;
			$a_resultados['titulo'] 						= "Sucursales x Tiempo";	 
			if($cboSucursal) { $IdSucursalSel = $cboSucursal;}
			
			if(!$cboSucursal) {
				$primero = 1;
				foreach ($a_utilidad as $key => $utilidad){
					$IdMercadoSel 				=  $utilidad['IdMercado'];
					$IdSucursalSel 				=  $utilidad['IdSucursal'];
					$primero++;
					if($primero > 1) break;
				}
				$a_resultados['titulo'] 		.= 	" - ".$utilidad['Sucursal'];	 
			}
			if(is_array($a_utilidad)){
				reset($a_utilidad);
				foreach ($a_utilidad as $key => $utilidad){
					if($cboSucursal && $cboSucursal == $utilidad['IdSucursal'] && $flag == 1) {
						$a_resultados['titulo'] 		.= " - ".$utilidad['Sucursal'];
						$flag =2;
					}
					if($IdSucursalSel == $utilidad['IdSucursal']){
						$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['tiempo']]['value']  += $utilidad['Ganancia'];
						$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['tiempo']]['label']  = $utilidad['tiempo'];	
					}
					
				}
			}
			break;
		case "mercadosSucursales": 
			$flag = 1;
			$a_resultados['titulo'] 						= " Mercados x Sucursal";	 
			if(!$cboSucursal) $a_resultados['titulo'] 		.= " ";	 
			if($cboSucursal) { $cboSucursalSel = $cboSucursal;}
			if(is_array($a_utilidad)){
				$p=1;
				foreach ($a_utilidad as $key => $utilidad){
					if(!$cboSucursal && $p == 1){
		    			$cboSucursalSel 				=  $utilidad['IdSucursal'];
		    			$p++;
		    		}
					if($cboSucursal && $cboSucursal == $utilidad['IdSucursal'] && $flag == 1) {
						$a_resultados['titulo'] 		.= " - ".$utilidad['Sucursal'];
						$flag =2;
					}
					if($cboSucursalSel  == $utilidad['IdSucursal']){
						$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['IdMercado']]['value']  += $utilidad['Ganancia'];
						$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['IdMercado']]['label']  = $utilidad['Mercado'];
					}
				}
			}
			break;
		case "mercadosSucursalesxTiempo": 
		    
			$flag = 1;
			$a_resultados['titulo'] 						= 	" Mercados x Tiempo";	 
			if($cboSucursal) { $cboSucursalSel = $cboSucursal;}
				$primero = 1;
				reset($a_utilidad);
				foreach ($a_utilidad as $key => $utilidad){
					if(!$cboSucursal){
		    			$cboSucursalSel 				=  $utilidad['IdSucursal'];
		    		}
					$IdMercadoSel 				=  $utilidad['IdMercado'];
					$primero++;
					if($primero > 1) break;
				}
				$a_resultados['titulo'] 		.= 	" - ".$utilidad['Mercado'];	 
			
			
			if(is_array($a_utilidad)){
				reset($a_utilidad);
				foreach ($a_utilidad as $key => $utilidad){
					if($IdMercadoSel == $utilidad['IdMercado'] && $cboSucursalSel  == $utilidad['IdSucursal']){
						$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['IdMercado']."_".$utilidad['tiempo']]['value']  += $utilidad['Ganancia'];
						$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['IdMercado']."_".$utilidad['tiempo']]['label']  = $utilidad['tiempo'];
					}
				}
			}
			break;
	}

	
			
  	return $a_resultados;
}
switch ($type){
    case 'getPrestamosxMercadosxTiempo':
		header('Content-type:application/json');
		
		if(myUser::getUser()->getRoleId() == "sys.ope" && !$cboMercado) $cboMercado = 99999;
		
		$o_SucursalMercadoBean = new SucursalMercadoBean();
		$o_SucursalMercadoBean->setIdSucursal($cboSucursal);
		
		$o_SucursalMercadoDP = new SucursalMercadoDP($o_SucursalMercadoBean);
		$a_o_SucursalMercadoDP = $o_SucursalMercadoDP->select();
		
		foreach ($a_o_SucursalMercadoDP as $key => $o_SucursalMercadoDP){
			$a_id_mercado[] = $o_SucursalMercadoDP->getIdMercado();
		}
		
		
		$o_MercadoBean = new MercadoBean();
		$o_MercadoBean->setIdMercados($a_id_mercado);
		$o_MercadoBean->setIdMercado($cboMercado);
		
		$o_MercadoDP = new MercadoDP($o_MercadoBean);
		$a_o_MercadoDP = $o_MercadoDP->select();
		
		if(is_array($a_o_MercadoDP)){
			foreach ($a_o_MercadoDP as $keyM => $o_MercadoDP){
				$a_mercado[$o_MercadoDP->getIdMercado()] = $o_MercadoDP->getDescripcion();
				if($cboMercado){
					$descripcion_mercado = $o_MercadoDP->getDescripcion();
				}else{
					$descripcion_mercado = " Todos ";
				}
			}
		}else{
			$descripcion_mercado = " Ninguno ";
		}
		
		$o_ObjectBean = new PrestamoBean();
		
		  
		$tamanioPag = 999;
		//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
		
		if($cboSucursal     !=""){ $o_ObjectBean->setFiltroSucursal($cboSucursal);}
		if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
		if($cboEstado    	!=""){ $o_ObjectBean->setEstado($cboEstado);}
		if($cboTipo    	!=""){ $o_ObjectBean->setOrigen($cboTipo);}
		
		
		$o_ObjectBean->setFechaInicio($txtFechaInicial); 
		$o_ObjectBean->setFechaFinal($txtFechaFinal); 
		$o_ObjectBean->setFlagReporte('2');
		
		
			 
		$o_PrestamoDP = new PrestamoDP($o_ObjectBean);
		$a_ObjectBean = $o_PrestamoDP->selectVentas();
		
		
		
		if(is_array($a_ObjectBean) && count($a_ObjectBean)>0){
			$i=1;
			$a_valorFinal = null;
			foreach ($a_ObjectBean as $iKey => $o_objBean){
				$dscripcion_sucursal = $o_objBean->getSucursal();
				$a_valores[$o_objBean->getFechaInicio()][$o_objBean->getIdMercado()] = $o_objBean->getSucursal()."/".$o_objBean->getMercado();//." - ".$o_objBean->getObservacion();
				$a_valorFinal[$o_objBean->getFechaInicio()][$o_objBean->getIdMercado()] = (float)$o_objBean->getMontoTotal();
				
				
				//$a_valores[$i]["data"]= array(32127.70,35127.70);
				$a_fechas[$o_objBean->getFechaInicio()] = $o_objBean->getFechaInicio();
			
			}
			
			// Rellenar valores de los mercados con cero		          	
           	foreach ($a_fechas as $keyC => $fecha){
           		foreach ($a_mercado as $keyM => $mercado){
           			if($a_valorFinal[$fecha][$keyM] == 0){
           				$a_valores[$fecha][$keyM] = $mercado;//$dscripcion_sucursal."/".$mercado;
           				$a_valorFinal[$fecha][$keyM] = 0;
           			}
           		}
           		$categories[] = $keyC;
           		
			} 
			
			// Rellenar valores de los mercados		          	
           	foreach ($a_mercado as $keyM => $mercado){
           		$j=0;
				foreach ($a_fechas as $fecha_k => $fecha){
					$a_data[$keyM][$j] = $a_valorFinal[$fecha_k][$keyM];
					$a_name[$keyM] = $a_valores[$fecha_k][$keyM] ;
					$j++;
           		}
			} 
			
			
			$i=0;
			foreach ($a_mercado as $keyM => $mercado){
				$a_valores_f[$i]["data"] = $a_data[$keyM];
	       		$a_valores_f[$i]["name"] = $a_name[$keyM];
				
				$i++;
			}
			
		}
		if($cboTipo == "R") $dscripcion_tipo = "Normal";else $dscripcion_tipo = "Refinanciado"; 
		if($cboEstado == "P") $dscripcion_estado = "Pendiente";else $dscripcion_estado = "Cancelado"; 
		$subtitulo = "Sucursal:".$dscripcion_sucursal;
		$subtitulo .= " Fecha:".$txtFechaInicial."||".$txtFechaFinal;
		$subtitulo .= " Mercado:".$descripcion_mercado;
		$subtitulo .= " Tipo:".$dscripcion_tipo;
		$subtitulo .= " Estado:".$dscripcion_estado;
		$a_json["titulo"] = "Venta del Asesor ";
		$a_json["subtitulo"] = " ".$subtitulo;
		$a_json["tiuloyaxis"] = "Monto S/ ";
		$a_json["categories"] = $categories;
		$a_json["datos"] = $a_valores_f;
		
		
		print json_encode($a_json);
		
		break;
	case 'graficarResumenDiario':
		header('Content-type:application/json');
		
		$con = Conexion::getConexion();
		
		$where =" 	and Idsucursal ='".$Idsucursal."'";
		
		if($cboMercado > 0){
			$where .=" 	and IdMercado ='".$cboMercado."'";
		}
		if($txtFechaInicial > 0){
			$where .=" 	and Fecha >='".$txtFechaInicial."'";
		}
		if($txtFechaFinal > 0){
			$where .=" 	and Fecha <='".$txtFechaFinal."'";
		}
		
		if($cboColaborador > 0) $where .= " 	and IdColaborador ='".$cboColaborador."'";
		//SELECT 	*,(PagoRealizado-PagoTeorico) as PagoDiferencia
		$sql = "
				SELECT 	*,(PagoRealizado-SumaMontoPrestado22) as PagoDiferencia,(SaldoPrestamosPendientes-SaldoPrestamosVencidos) as SaldoNeto,(SaldoPrestamosPendientes+SaldoPrestamosVencidos+SaldoPrestamosMorosos) as CapitalTotal
				FROM 	cr_resumen_diario
				WHERE   1 $where
						
				ORDER BY IdSucursal,Fecha desc, IdMercado,IdColaborador
				";
		//echo $sql."<br>";
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		if(mysql_num_rows($result)){
			$i=1;
			while ($o_resumenDiario = mysql_fetch_object($result)){
				$valor = $o_resumenDiario->{$Campo};
				$a_colaboradores_etiqueta[$o_resumenDiario->IdMercado]= strtoupper($o_resumenDiario->NombreColaborador)." - (".strtoupper($o_resumenDiario->NombreMercado).")";
				$a_valoresTemporal[$o_resumenDiario->IdMercado][$o_resumenDiario->Fecha] = $valor;
				$a_fechas[$o_resumenDiario->Fecha] = $o_resumenDiario->Fecha;
				$NombreSucursal = $o_resumenDiario->NombreSucursal;
				
			}
		}
		
		/*
		echo "<pre>";
		print_r($a_valoresTemporal);
		echo "</pre>";
		*/
		if(is_array($a_colaboradores_etiqueta)){
			$i=1;
			$a_valorFinal = null;
			foreach ($a_colaboradores_etiqueta as $keyC => $r_colaboradores_etiqueta){
				$a_valores[$i]["name"] = $r_colaboradores_etiqueta;
				$a_valorFinal = null;
				foreach ($a_valoresTemporal[$keyC] as $keyV => $valorF){
					$a_valorFinal[] = (float)$valorF;
				}
				$a_valores[$i]["data"] = $a_valorFinal;
				//$a_valores[$i]["data"]= array(32127.70,35127.70);
				
				$i++;
			}
			foreach ($a_fechas as $keyC => $fechas){
				$categories[] = $fechas;
			}
		}
		/*
		$con = Conexion::getConexion();
		
		$where =" 	and Idsucursal ='".$Idsucursal."'";
		
		if($cboMercado > 0){
			$where .=" 	and IdMercado ='".$cboMercado."'";
		}
		if($txtFechaInicial > 0){
			$where .=" 	and Fecha >='".$txtFechaInicial."'";
		}
		if($txtFechaFinal > 0){
			$where .=" 	and Fecha <='".$txtFechaFinal."'";
		}
		
		if($cboColaborador > 0) $where .= " 	and IdColaborador ='".$cboColaborador."'";
		
		$sql = "
				SELECT 	*
				FROM 	cr_resumen_diario
				WHERE   1 $where
						
				ORDER BY IdSucursal,Fecha desc, IdMercado,IdColaborador
				";
		//echo $sql."<br>";
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		if(mysql_num_rows($result)){
			$i=1;
			while ($o_resumenDiario = mysql_fetch_object($result)){
				$valor = $o_resumenDiario->{$Campo};
				$a_valores[$i]["name"]= $o_resumenDiario->NombreColaborador;
				$a_valores[$i]["data"]= array(49.9,771.5,106.4,129.2);
				$i++;
			}
		}
		*/
		
	
		switch ($Campo){
			case "SaldoPrestamosPendientes": $subtitulo = "Saldo de Prestamos Pendientes";break;
			case "SaldoPrestamosVencidos": $subtitulo = "Saldo de Prestamos Vencidos";break;
			case "SaldoPrestamosMorosos": $subtitulo = "Saldo de Prestamos Morosos";break;
			case "CapitalTotal": $subtitulo = "Capital Total";break;
			case "SaldoNeto": $subtitulo = "Saldo Neto";break;
			case "PrestamosNuevos": $subtitulo = "Prestamos Nuevos";break;
			case "PrestamosRenovados": $subtitulo = "Prestamos Refinanciados";break;
			case "PrestamosCancelados": $subtitulo = "Prestamos Cancelados";break;
			case "SumaMontoPrestado22": $subtitulo = "[Suma Monto Prestado] / 22";break;
			case "PagoTeorico": $subtitulo = "Pago Teorico";break;
			case "PagoRealizado": $subtitulo = "Pago Realizado";break;
			case "PagoDiferencia": $subtitulo = "Pago - Diferencia";break;
		}
		$a_json["titulo"] = "Sucursal: ".$NombreSucursal;
		$a_json["subtitulo"] = " ".$subtitulo;
		$a_json["tiuloyaxis"] = "Monto S/ ";
		$a_json["categories"] = $categories;
		$a_json["datos"] = $a_valores;
		
		
		print json_encode($a_json);

		break;
	case 'categoriaxMercado':
  		$data = getDataCategoriaxMercado($type);
  		
  		
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		//$Subcaption = $data['categoria'];
		
  		//$a_data 	= $data['data'];
  		$a_data_t 	= $data['data'];
  		
  		//$a_valores[$i]["name"] = $r_colaboradores_etiqueta;
       $categories[] = $data['categoria'];
  		$i=1;
        foreach ( $a_data_t as $s_Key => $data ){
        	$a_valores[$i]["name"] = $data["label"];
        	$a_valores[$i]["color"] = $data["color"];
        	$a_valores[$i]["data"] = array(0 =>(float)$data["value"]);
        	
        	$i++;
        }
  		/*
  		$Caption 	= $data['titulo']."*";
  		$Subcaption = $data['Subtitulo'];
  		$a_data 	= $data['data'];
  		$xml = "<chart exportEnabled='1' caption='".$Caption."'  numberPrefix='' showHoverEffect= '1' showshadow='1' slicingdistance='10' Enableslice='1'  decimals='2' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1'>";
        $j=1;
        foreach ( $a_data as $s_Key => $data ){
        	$cadena_ext = '';
        	if($j == 1 ) $cadena_ext =  "issliced='1'";
            $xml .= "<set label='". $data['label']."' value='".$data['value']."' $cadena_ext/>";
            $j++;
        }
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		
  		*/
  		 $a_json["titulo"] 		= $Caption;
		$a_json["subtitulo"] 	= " ".$Subcaption;
		
		$a_json["categories"] = $categories;
		$a_json["datos"] = $a_valores;
		
		
		print json_encode($a_json);
  		break;
  	case 'categoriaxSucursal':
  		$data = getDataCategoriaxSucursal($type);
  		
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		//$Subcaption = $data['categoria'];
		
  		//$a_data 	= $data['data'];
  		$a_data_t 	= $data['data'];
  		
  		//$a_valores[$i]["name"] = $r_colaboradores_etiqueta;
       $categories[] = $data['categoria'];
  		$i=1;
        foreach ( $a_data_t as $s_Key => $data ){
        	$a_valores[$i]["name"] = $data["label"];
        	$a_valores[$i]["color"] = $data["color"];
        	$a_valores[$i]["data"] = array(0 =>(float)$data["value"]);
        	
        	$i++;
        }
        /*
  		$xml = "<chart exportEnabled='1' caption='".$Caption."'  numberPrefix='' showHoverEffect= '1' showshadow='1' slicingdistance='10' Enableslice='1'  decimals='2' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1'>";
        $j=1;
        foreach ( $a_data as $s_Key => $data ){
        	//if($j == 1 ) $cadena_ext =  "issliced='1'";
            $xml .= "<set label='". $data['label']."' value='".$data['value']."'/>";
            $j++;
        }
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		*/
        $a_json["titulo"] 		= $Caption;
		$a_json["subtitulo"] 	= " ".$Subcaption;
		
		$a_json["categories"] = $categories;
		$a_json["datos"] = $a_valores;
		
		
		print json_encode($a_json);
  		break;	
  case 'mercadosxCategoria':
  		$data = getDataMercadosxCategoria($type);
  		
  		
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		//$Subcaption = $data['categoria'];
		
  		//$a_data 	= $data['data'];
  		$a_data_t 	= $data['data'];
  		
  		//$a_valores[$i]["name"] = $r_colaboradores_etiqueta;
       $categories[] = $data['categoria'];
  		$i=1;
        foreach ( $a_data_t as $s_Key => $data ){
        	$a_valores[$i]["name"] = $data["label"];
        	$a_valores[$i]["color"] = $data["color"];
        	
        	$a_valores[$i]["data"] = array(0 =>(float)$data["value"]);
        	
        	$i++;
        }
        /*
  		$xml = "<chart exportEnabled='1' caption='".$Caption."'  numberPrefix='' showHoverEffect= '1' showshadow='1' slicingdistance='10' Enableslice='1'  decimals='2' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1'>";
        $j=1;
        foreach ( $a_data as $s_Key => $data ){
        	//if($j == 1 ) $cadena_ext =  "issliced='1'";
            $xml .= "<set label='". $data['label']."' value='".$data['value']."'/>";
            $j++;
        }
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		*/
        $a_json["titulo"] 		= $Caption;
		$a_json["subtitulo"] 	= " ".$Subcaption;
		
		$a_json["categories"] = $categories;
		$a_json["datos"] = $a_valores;
		
		
		print json_encode($a_json);
  		
		/*
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		$a_data 	= $data['data'];
  		$xml = "<chart exportEnabled='1' caption='".$Caption."'  numberPrefix='' showHoverEffect= '1' showshadow='1' slicingdistance='10' Enableslice='1'  decimals='2' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1'>";
        $j=1;
        foreach ( $a_data as $s_Key => $data ){
        	$cadena_ext = '';
        	//if($j == 1 ) $cadena_ext =  "issliced='1'";
            $xml .= "<set label='". $data['label']."' value='".$data['value']."'  color='".substr($data['color'],1)."' />";
            $j++;
        }
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		*/
  		break;
  
  case 'sucursalesxCategoria':
  		$data = getDataSucursalesxCategoria($type);
  		
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		$a_data_t 	= $data['data'];
  		
  		//$a_valores[$i]["name"] = $r_colaboradores_etiqueta;
        foreach ( $a_data_t as $s_Key => $data ){
        	$a_valores[] 	= array("name"=>$data["label"]." ".number_format((float)$data["value"],2,".",","),"y"=>(float)$data["value"],"color"=>$data["color"]);
        }
       
  		/*
  		$xml = "<chart exportEnabled='1' caption='".$Caption."'  numberPrefix='' showHoverEffect= '1' showshadow='1' slicingdistance='10' Enableslice='1'  decimals='2' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1'>";
        $j=1;
        foreach ( $a_data as $s_Key => $data ){
        	$cadena_ext = '';
        	//if($j == 1 ) $cadena_ext =  "issliced='1'";
            $xml .= "<set label='". $data['label']."' value='".$data['value']."'  ".$cadena_ext."/>";
            $j++;
        }
        
        
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		*/
  		$a_json["titulo"] 		= $Caption;
		$a_json["subtitulo"] 	= " ".$Subcaption;
		
		//$a_json["categories"] = $categories;
		$a_json["datos"] = $a_valores;
		
		
		print json_encode($a_json);
		
  		/*
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		$a_data 	= $data['data'];
  		$xml = "<chart exportEnabled='1' caption='".$Caption."'  numberPrefix='' showHoverEffect= '1' showshadow='1' slicingdistance='10' Enableslice='1'  decimals='2' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1'>";
        $j=1;
        foreach ( $a_data as $s_Key => $data ){
        	$cadena_ext = '';
        	//if($j == 1 ) $cadena_ext =  "issliced='1'";
            $xml .= "<set label='". $data['label']."' value='".$data['value']."'  color='".substr($data['color'],1)."' />";
            $j++;
        }
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		*/
  		
  		break;
  case 'mercadosSucursales':
  case 'getSucursales':
  		
  		$data = getDataGraficoResumenGeneral($type);
  		
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		$a_data_t 	= $data['data'];
  		
  		//$a_valores[$i]["name"] = $r_colaboradores_etiqueta;
        foreach ( $a_data_t as $s_Key => $data ){
        	$a_valores[] 	= array($data["label"]." ".number_format((float)$data["value"],2,".",","),(float)$data["value"]);
        }
       
  		/*
  		$xml = "<chart exportEnabled='1' caption='".$Caption."'  numberPrefix='' showHoverEffect= '1' showshadow='1' slicingdistance='10' Enableslice='1'  decimals='2' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1'>";
        $j=1;
        foreach ( $a_data as $s_Key => $data ){
        	$cadena_ext = '';
        	//if($j == 1 ) $cadena_ext =  "issliced='1'";
            $xml .= "<set label='". $data['label']."' value='".$data['value']."'  ".$cadena_ext."/>";
            $j++;
        }
        
        
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		*/
  		$a_json["titulo"] 		= $Caption;
		$a_json["subtitulo"] 	= " ".$Subcaption;
		
		//$a_json["categories"] = $categories;
		$a_json["datos"] = $a_valores;
		
		
		print json_encode($a_json);
  		
  		break;
  case 'sucursalesxTiempo':
  case 'mercadosSucursalesxTiempo':
  		
  		$data = getDataGraficoResumenGeneral($type);
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		$a_data_t 	= $data['data'];
  		
  		$categories[] = $data["categoria"];
  		$i=1;
        foreach ( $a_data_t as $s_Key => $data ){
        	$a_valores[$i]["name"] = $data["label"];
        	
        	$a_valores[$i]["data"] = array(0 =>(float)$data["value"]);
        	
        	$i++;
        }
        
  		
  		/*
  		$xml = "<chart exportEnabled='1' caption='".$Caption."' xAxisName='".$Subcaption."' yAxisName='Totales (S/.)' numberPrefix='' showHoverEffect= '1' enablemultislicing= '0' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1' decimals='2'>";
        foreach ( $a_data as $s_Key => $data ){
             $xml .= "<set label='". $data['label']."' value='".$data['value']."'/>";
        }
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		*/
  		$a_json["titulo"] 		= $Caption;
		$a_json["subtitulo"] 	= " ".$Subcaption;
		
		$a_json["categories"] = $categories;
		$a_json["datos"] = $a_valores;
		
		
		print json_encode($a_json);
  		
  		
  		break;
  case 'getSemana':
		$con = Conexion::getConexion();
	    $sql = "SELECT * FROM cr_semanashabiles  WHERE Periodo='".$value."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->Semana."_;_semana.".$i;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'getMeses':
		$con = Conexion::getConexion();
	    $o_CrUtilidadFN = new CrUtilidadFN();
		$a_anios = $o_CrUtilidadFN->getAnios();
		
		
		$a_periodos = $o_CrUtilidadFN->getMeses($value);
	   
		  if($a_periodos>0){
		     	
		    foreach ($a_periodos as  $key => $periodo){
			    $a_ValuesElm[] = $periodo."_;_".$periodo;
			   
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;	
  case 'name' :
    
    switch ($typeFind){
      case 'doc':
        $o_ObjectBean = new DocenteBean();
        $o_ObjectBean->setCodigoDocente($value);
        $o_class = new DocenteBL();
        $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);
        
        if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'alm':
        $o_ObjectBean = new AlumnoBean();
        $o_ObjectBean->setCodigoAlumno($value);
        $o_class = new AlumnoBL();
        $a_ObjectBean = $o_class->busquedaAlumno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'ext':
        $o_ObjectBean = new ExternoBean();
        $o_ObjectBean->setCodigo($value);
        $o_class = new ExternoBL();
        $a_ObjectBean = $o_class->busquedaExterno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
        
      break;
    }
    
    $scadena = utilJson::generateJsonElment($tmp);
    
    header("X-JSON: ".$scadena);
    
  break;
  
}

?>